<html>
	<head>
		<meta charset="utf-8"/>
		<script src="js/wasm_exec.js"></script>

		<!--
			# Visual Reviews
			https://docs.gitlab.com/ee/ci/review_apps/#visual-reviews
		-->
		$VISUAL_REVIEW_SCRIPT

	</head>
	<body>
		<h1>Wasm Demo with Go</h1>
    <h2>⏳</h2>
		<h3>⏱</h3>

		<script>
      /*
			if (!WebAssembly.instantiateStreaming) { // polyfill
				WebAssembly.instantiateStreaming = async (resp, importObject) => {
					const source = await (await resp).arrayBuffer()
					return await WebAssembly.instantiate(source, importObject)
				}
			}
      */

			const go = new Go()

			WebAssembly.instantiateStreaming(fetch("wasm/all-in-one.wasm"), go.importObject).then((result) => {
				go.run(result.instance)

				let data = HelloWorld("Jane", "Doe")
				document.querySelector("h2").innerText = data.message
				document.querySelector("h3").innerText = data.author

			})
			
		</script>
	</body>
</html>
